<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RouteDirectionStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Summary information about a Direction of a Line
 * @subpackage Structs
 */
class RouteDirectionStructure extends DirectionStructure
{
    /**
     * The JourneyPatterns
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\JourneyPatterns
     */
    public $JourneyPatterns;
    /**
     * The Extensions
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: Extensions
     * @var \StructType\ExtensionsStructure
     */
    public $Extensions;
    /**
     * Constructor method for RouteDirectionStructure
     * @uses RouteDirectionStructure::setJourneyPatterns()
     * @uses RouteDirectionStructure::setExtensions()
     * @param \StructType\JourneyPatterns $journeyPatterns
     * @param \StructType\ExtensionsStructure $extensions
     */
    public function __construct(\StructType\JourneyPatterns $journeyPatterns = null, \StructType\ExtensionsStructure $extensions = null)
    {
        $this
            ->setJourneyPatterns($journeyPatterns)
            ->setExtensions($extensions);
    }
    /**
     * Get JourneyPatterns value
     * @return \StructType\JourneyPatterns|null
     */
    public function getJourneyPatterns()
    {
        return $this->JourneyPatterns;
    }
    /**
     * Set JourneyPatterns value
     * @param \StructType\JourneyPatterns $journeyPatterns
     * @return \StructType\RouteDirectionStructure
     */
    public function setJourneyPatterns(\StructType\JourneyPatterns $journeyPatterns = null)
    {
        $this->JourneyPatterns = $journeyPatterns;
        return $this;
    }
    /**
     * Get Extensions value
     * @return \StructType\ExtensionsStructure|null
     */
    public function getExtensions()
    {
        return $this->Extensions;
    }
    /**
     * Set Extensions value
     * @param \StructType\ExtensionsStructure $extensions
     * @return \StructType\RouteDirectionStructure
     */
    public function setExtensions(\StructType\ExtensionsStructure $extensions = null)
    {
        $this->Extensions = $extensions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RouteDirectionStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
